## org.eclipse.emf.cdo.common.io
Interface CDODataOutput

All Superinterfaces:
  java.io.DataOutput, org.eclipse.net4j.util.io.ExtendedDataOutput

    public interface CDODataOutput

extends org.eclipse.net4j.util.io.ExtendedDataOutput

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.ExtendedDataOutput
`org.eclipse.net4j.util.io.ExtendedDataOutput.Delegating, org.eclipse.net4j.util.io.ExtendedDataOutput.Stream`

Method Summary
`CDOIDProvider` `getIDProvider()`
`void` `writeCDOClassifierRef(CDOClassifierRef eClassifierRef)`
`void` `writeCDOClassifierRef(org.eclipse.emf.ecore.EClassifier eClassifier)`
`void` `writeCDOFeatureDelta(org.eclipse.emf.ecore.EClass owner, CDOFeatureDelta featureDelta)`
`void` `writeCDOFeatureValue(org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object value)`
`void` `writeCDOID(CDOID id)`
`void` `writeCDOIDAndVersion(CDOIDAndVersion idAndVersion)`
`void` `writeCDOIDMetaRange(CDOIDMetaRange metaRange)`
`void` `writeCDOList(org.eclipse.emf.ecore.EClass owner, org.eclipse.emf.ecore.EStructuralFeature feature, CDOList list, int referenceChunk)`
`void` `writeCDOLockType(org.eclipse.net4j.util.concurrent.RWLockManager.LockType lockType)`
`void` `writeCDOPackageInfo(CDOPackageInfo packageInfo)`
`void` `writeCDOPackageUnit(CDOPackageUnit packageUnit, boolean withPackages)`
`void` `writeCDOPackageUnits(CDOPackageUnit... packageUnit)`
`void` `writeCDOPackageUnitType(CDOPackageUnit.Type type)`
`void` `writeCDOPackageURI(java.lang.String uri)`
`void` `writeCDORevision(CDORevision revision, int referenceChunk)`
`void` `writeCDORevisionDelta(CDORevisionDelta revisionDelta)`
`void` `writeCDORevisionOrPrimitive(java.lang.Object value)` Write either a CDORevision or a primitive value.
`void` `writeCDORevisionOrPrimitiveOrClassifier(java.lang.Object value)` Write either a CDORevision, a primitive value or a EClass.
`void` `writeCDOType(CDOType cdoType)`

Methods inherited from interface org.eclipse.net4j.util.io.ExtendedDataOutput
`writeByteArray, writeObject, writeString`

Methods inherited from interface java.io.DataOutput
`write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Method Detail

### getIDProvider

    CDOIDProvider getIDProvider()

### writeCDOPackageUnit

    void writeCDOPackageUnit(CDOPackageUnit packageUnit,
                             boolean withPackages)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCDOPackageUnits

    void writeCDOPackageUnits(CDOPackageUnit... packageUnit)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCDOPackageUnitType

    void writeCDOPackageUnitType(CDOPackageUnit.Type type)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCDOPackageInfo

    void writeCDOPackageInfo(CDOPackageInfo packageInfo)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCDOClassifierRef

    void writeCDOClassifierRef(CDOClassifierRef eClassifierRef)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCDOClassifierRef

    void writeCDOClassifierRef(org.eclipse.emf.ecore.EClassifier eClassifier)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCDOPackageURI

    void writeCDOPackageURI(java.lang.String uri)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCDOType

    void writeCDOType(CDOType cdoType)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCDOID

    void writeCDOID(CDOID id)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCDOIDAndVersion

    void writeCDOIDAndVersion(CDOIDAndVersion idAndVersion)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCDOIDMetaRange

    void writeCDOIDMetaRange(CDOIDMetaRange metaRange)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCDORevision

    void writeCDORevision(CDORevision revision,
                          int referenceChunk)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCDOList

    void writeCDOList(org.eclipse.emf.ecore.EClass owner,
                      org.eclipse.emf.ecore.EStructuralFeature feature,
                      CDOList list,
                      int referenceChunk)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCDOFeatureValue

    void writeCDOFeatureValue(org.eclipse.emf.ecore.EStructuralFeature feature,
                              java.lang.Object value)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCDORevisionDelta

    void writeCDORevisionDelta(CDORevisionDelta revisionDelta)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCDOFeatureDelta

    void writeCDOFeatureDelta(org.eclipse.emf.ecore.EClass owner,
                              CDOFeatureDelta featureDelta)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeCDORevisionOrPrimitive

    void writeCDORevisionOrPrimitive(java.lang.Object value)
                                     throws java.io.IOException

  Write either a CDORevision or a primitive value.

  Throws:
    `java.io.IOException`

### writeCDORevisionOrPrimitiveOrClassifier

    void writeCDORevisionOrPrimitiveOrClassifier(java.lang.Object value)
                                                 throws java.io.IOException

  Write either a CDORevision, a primitive value or a EClass.

  Throws:
    `java.io.IOException`

### writeCDOLockType

    void writeCDOLockType(org.eclipse.net4j.util.concurrent.RWLockManager.LockType lockType)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.